org.jgrapht.util

## Class FibonacciHeapNode<T>

- java.lang.Object
- - org.jgrapht.util.FibonacciHeapNode<T>

-     public class FibonacciHeapNode<T>
      extends Object

  Implements a node of the Fibonacci heap. It holds the information necessary for maintaining the structure of the heap. It also holds the reference to the key value (which is used to determine the heap structure).
  Author:
    Nathan Fiedler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FibonacciHeapNode(T data)` Default constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getData()` Obtain the data for this node.
    `double` | `getKey()` Obtain the key for this node.
    `String` | `toString()` Return the string representation of this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FibonacciHeapNode

          public FibonacciHeapNode(T data)

      Default constructor. Initializes the right and left pointers, making this a circular doubly-linked list.
      Parameters:
        `data` - data for this node

  - ### Method Detail

    - #### getKey

          public final double getKey()

      Obtain the key for this node.
      Returns:
        the key

    - #### getData

          public final T getData()

      Obtain the data for this node.

    - #### toString

          public String toString()

      Return the string representation of this object.
      Overrides:
        `toString` in class `Object`
      Returns:
        string representing this object

Copyright © 2016. All rights reserved.